#
# ovirt-host-deploy -- ovirt host deployer
# Copyright (C) 2016 Red Hat, Inc.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
#


"""fluentd packages plugin."""


import gettext


from otopi import plugin
from otopi import util


def _(m):
    return gettext.dgettext(message=m, domain='ovirt-host-deploy')


@util.export
class Plugin(plugin.PluginBase):
    """Required packages installation.
    """

    def __init__(self, context):
        super(Plugin, self).__init__(context=context)
        self._enabled = True

    @plugin.event(
        stage=plugin.Stages.STAGE_PACKAGES,
    )
    def _packages(self):
        if not self.packager.installUpdate(
            (
                'fluentd',
                'rubygem-fluent-plugin-rewrite-tag-filter',
                'rubygem-fluent-plugin-secure-forward',
            ),
            ignoreErrors=True,
        ):
            self.logger.warning(
                _(
                    'Failed to install fluentd packages.'
                    'Please check the log for details'
                )
            )

    # We do not configure fluentd, so do not start it on closeup.
    # This is done separately later on.

# vim: expandtab tabstop=4 shiftwidth=4
